./sysutils/fabric [simple, pythonic tool for remote execution and deployment]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 2.6.0, Package name: fabric-2.6.0
Maintained by: Pablo Mendez Hernandez
Master sites:
Description
Fabric is a Python library and command-line tool for streamlining the
use of SSH for application deployment or systems administration tasks.

It provides a basic suite of operations for executing local or remote shell
commands (normally or via sudo) and uploading/downloading files, as well as
auxiliary functionality such as prompting the running user for input, or
aborting execution.


Filesize: 160.039 KB
Version History (View Complete History)
  • (2021-10-25) Updated to version: fabric-2.6.0
  • (2018-04-29) Updated to version: fabric-1.14.0
  • (2017-01-07) Updated to version: fabric-1.13.1
  • (2016-08-01) Updated to version: fabric-1.12.0
  • (2016-04-12) Updated to version: fabric-1.11.1
  • (2016-01-30) Package added to openports.se, version fabric-1.10.2 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2021-11-01 18:02:24 by Stuart Henderson | Files touched by this commit (121)
Log message:
bump REVISION for switch from Python 3.8 -> 3.9
   2021-10-24 16:54:41 by Stuart Henderson | Files touched by this commit (3)
Log message:
update to fabric 2.6.0, unbreaking it. from wen heping who sent the port
to ports@ about 6 weeks ago cc'ing maintainer; no reply on list so i'm
taking that as a maintainer timeout
   2021-05-21 13:50:39 by Kurt Mosiejczuk | Files touched by this commit (326)
Log message:
Bump the REVISION on all ports that use the python2 version of
py-setuptools.
Also change the lang/python module to use the new
devel/py2-setuptools for python2 ports
ok sthen@
   2021-02-23 12:39:53 by Stuart Henderson | Files touched by this commit (743)
Log message:
Reverse the polarity of MODPY_VERSION; default is now 3.x,
if a port needs 2.x then set MODPY_VERSION=${MODPY_DEFAULT_VERSION_2}.
This commit doesn't change any versions currently used; it may be that
some ports have MODPY_DEFAULT_VERSION_2 but don't require it, those
should be cleaned up in the course of updating ports where possible.
Python module ports providing py3-* packages should still use
FLAVOR=python3 so that we don't have a mixture of dependencies some
using ${MODPY_FLAVOR} and others not.
   2019-07-12 14:50:18 by Stuart Henderson | Files touched by this commit (845)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2019-05-15 06:04:43 by Kurt Mosiejczuk | Files touched by this commit (167)
Log message:
Add RUN_DEPENDS to TEST_DEPENDS automatically for ports using the
lang/python port module. I've not yet come up with a port that
would not need this and one can always set MODPY_TESTDEP to "no"
to prevent the module from touching TEST_DEPENDS.
Idea from afresh1 who pointed out the cpan module already does this.
aja "I support this move."
OK sthen@
   2018-04-28 12:18:14 by Brian Callahan | Files touched by this commit (2)
Log message:
Update to fabric-1.14.0
ok Pablo Mendez Hernandez <pablomh AT gmail DOT com> (MAINTAINER) - thanks!
   2017-01-07 05:55:14 by Jasper Lievisse Adriaanse | Files touched by this commit (3)
Log message:
update to fabric-1.13.1
from Pablo Mendez Hernandez (MAINTAINER)
   2016-07-30 12:33:31 by Juan Francisco Cantero Hurtado | Files touched by this commit (3)
Log message:
Update to Fabric 1.12. From MAINTAINER.
   2016-04-11 13:16:45 by Juan Francisco Cantero Hurtado | Files touched by this commit (3)
Log message:
Update to Fabric 1.11.1. From Pablo Mendez Hernandez (MAINTAINER).
   2016-01-29 18:13:48 by Juan Francisco Cantero Hurtado | Files touched by this commit (10)
Log message:
Move 'py-fabric' to 'fabric'.
Suggested by aja@ and jasper@. Help and OK aja@.